v2.0
get
/ec-ors-svc/rest/v2.0/studies/{studyId}/{mode}/subjects/{externalSubjectId}/randomization-history
Retrieves randomization history. Rights: OrsSubjectVisitGet. Added new field: visit ID.
Request
Path Parameters
-
externalSubjectId(required): string(uuid)
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B -
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Nested Schema : RandomizationHistoryResponse
Type:
Show Source
object-
randNumber: integer
(int64)
Title:
Randomization NumberRandomization number.Example:5 -
randomizationDate: string
(date-time)
Title:
Randomization DateDate of randomization. -
visitId: string
(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the visit
Examples
404 Response
For invalid study ID or version. Or subject not found.
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples